package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouRuleDetail;
import com.ruixuan.isc.entity.KuaishouSettlementRules;
import java.util.List;


/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public interface IKuaishouSettlementRulesService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public KuaishouSettlementRules selectKuaishouSettlementRulesById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param kuaishouSettlementRules 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<KuaishouSettlementRules> selectKuaishouSettlementRulesList(KuaishouSettlementRules kuaishouSettlementRules);

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouSettlementRules 【请填写功能名称】
     * @return 结果
     */
    public int insertKuaishouSettlementRules(KuaishouSettlementRules kuaishouSettlementRules);

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouSettlementRules 【请填写功能名称】
     * @return 结果
     */
    public int updateKuaishouSettlementRules(KuaishouSettlementRules kuaishouSettlementRules);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteKuaishouSettlementRulesByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteKuaishouSettlementRulesById(Long id);

    List<JSONObject> getRuleList(Long userId,String ruleNam);

    void addRules(JSONObject requestJson);

    List<KuaishouRuleDetail> getRuleDetailByRuleId(Long ruleId);

    List<JSONObject> getPromoterRuleList(Long userId, String ruleName);

    List<JSONObject> getAllRuleList(Long userId, String ruleName);
}

